PRAGMA synchronous = OFF;
PRAGMA journal_mode = MEMORY;
BEGIN TRANSACTION;
CREATE TABLE `mail_template` (
  `id` integer NOT NULL PRIMARY KEY AUTOINCREMENT
,  `lang` varchar(255) NOT NULL
,  `title` varchar(255) NOT NULL
,  `subject` varchar(255) NOT NULL
,  `body` text NOT NULL
);
CREATE TABLE `mails` (
  `id` integer NOT NULL PRIMARY KEY AUTOINCREMENT
,  `imap_uid` integer NOT NULL
,  `user_request_id` integer NOT NULL
,  `email` varchar(255) NOT NULL
,  `date` timestamp NOT NULL 
,  `seen` integer NOT NULL DEFAULT '0'
,  UNIQUE (`imap_uid`)
);
CREATE TABLE `user_request` (
  `id` integer NOT NULL PRIMARY KEY AUTOINCREMENT
,  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
,  `name` varchar(255) DEFAULT NULL
,  `surname` varchar(255) NOT NULL
,  `pref_uid` varchar(255) NOT NULL
,  `ldap_uid` varchar(255) NOT NULL
,  `email` varchar(255) DEFAULT NULL
,  `institution` varchar(255) DEFAULT NULL
,  `newsletter` integer NOT NULL
,  `lang` varchar(255) NOT NULL
,  `at_status` integer NOT NULL
,  `at_assignee` varchar(255) NOT NULL
);
END TRANSACTION;
