<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <script src="js/prototype.js" type="text/javascript"></script>
  <title>User Info</title>
  <link rel="stylesheet" type="text/css" href="css/style.css" />
  
  {if $created}
  <script type="text/javascript">
    var uid = '{$created.uid}';
    var password = '{$created.password}';
    var tempId = {if $request.lang == 'en' }4{else}3{/if};
  </script>
  {else}
  <script type="text/javascript">
    var uid;
    var password;
    var tempId = {if $request.lang == 'en' }1{else}2{/if};
  </script>
  {/if}
  
  {if $mail or $created} 
  {literal}
  <script type="text/javascript">
  
   document.observe("dom:loaded", function() {
    loadTemplate(tempId);
    $('templateChooser').options[tempId-1].selected = true;
   });
  
   function loadTemplate(id) {

      new Ajax.Request('ajax/mail_template.php', {
                          method:'get',
                          parameters: { id: id, 
                                        userid: $('userID').value,
                                        uid: uid,
                                        password: password,
                                      },
                          onSuccess: function(transport){
                            var data = transport.responseText.evalJSON();
                            $('mail[body]').value=data.body;
                            $('mail[subject]').value=data.subject;
                          }
                       });
    
   }
  </script>
  {/literal}  
  {/if}
  
  
  
  {literal}
  <script type="text/javascript">
  
  function generatePW() {
    
    new Ajax.Request('ajax/pwgen.php', { method:'get',
      onSuccess: function(transport){
        $('ldap[password]').value=transport.responseText;
      }
    });

  
  }
  
  </script>
  {/literal}
  
</head>
  
<body>

  <div id="topMenu">
  <ul class="menu mainMenu">
    <li><a href="index.php">Anfragen</a></li>
    <li> &gt; &nbsp; bearbeiten</li>
    <li  style="float:right"><a href="index.php?action=logout">Logout {$login_user}</a>
    </li>
  </ul>
  </div>

  {if $request}
  
  <ul class="subMenu menu">
    <li onclick="window.location.href='{$selflink}?id={$request.id}&action=mail'"><a href="{$selflink}?id={$request.id}&action=mail">Mail</a></li>
    {if $request.at_status != 1 && $request.at_status != 2}
    <li onclick="window.location.href='{$selflink}?id={$request.id}&action=create'"><a href="{$selflink}?id={$request.id}&action=create">Einrichten</a></li>
    {/if}
    {if $request.at_status == 2}
    <li onclick="window.location.href='{$selflink}?id={$request.id}&action=reassign'"><a href="{$selflink}?id={$request.id}&action=reassign">Wiederaufnehmen</a></li>
    {elseif $request.at_status != 1 }
    <li onclick="window.location.href='{$selflink}?id={$request.id}&action=reject'" ><a href="{$selflink}?id={$request.id}&action=reject">Ablehnen</a></li>
    {/if}
  </ul>
  
  <div style="clear:both;"></div>
  <div class="spacer" ></div>
  
  {if $status}
  <div class="status">{$status}</div>
  {/if}
  
  <table>
    <tr><th>Datum</th><td>{$request.timestamp}</td></tr>
    <tr><th>Vorname</th><td>{$request.name}</td></tr>
    <tr><th>Nachname</th><td>{$request.surname}</td></tr>
    <tr><th>email</th><td>{$request.email}</td></tr>
    <tr><th>Institution</th><td>{$request.institution}</td></tr>
    <tr><th>Newsletter</th><td>
      {if $request.newsletter == 0 }
        Nein
      {elseif $request.newsletter == 1}
        Ja
      {/if}
    </td></tr>
    <tr><th>Pref_uid</th><td>{$request.pref_uid}</td></tr>
    <tr><th>Sprache</th><td>{$request.lang}</td></tr>
    <tr><th>Status</th>
        <td>
          {if $request.at_status == 0 }
            Nicht Zugeordnet
          {elseif $request.at_status == 1 } 
            Erstellt: {$request.ldap_uid}
            
          {elseif $request.at_status == 2 }
            Abgelehnt
          {elseif $request.at_status == 3 }
            in Arbeit
          {/if}
        </td>
    </tr>
    <input type="hidden" value="{$request.id}" id="userID">
  </table>
  
  {else}
   <div class="status">kein Request ausgewählt</div>
  {/if}

  <div class="spacer"></div>
  
  {if $create}
    <form action="{$selflink}?id={$request.id}" method="POST">
      <fieldset>
        <legend>Account Anlegen (LDAP)</legend>
        <label>UserID</label><input name="ldap[uid]" type="text" value="{$request.pref_uid}" /><br/>
        <label>Vorname</label><input name="ldap[givenName]" type="text" value="{$request.name}" /><br/>
        <label>Nachname</label><input name="ldap[sn]" type="text" value="{$request.surname}" /><br/>
        <label>Institution</label><input name="ldap[o]" type="text" value="{$request.institution}" /><br/>
        <label>EMail</label><input name="ldap[mail]" type="text" value="{$request.email}" /><br/>
        <label>EPPN</label><input name="ldap[eduPersonPrincipalName]" type="text" value="{$request.eppn}" /><br/>
        <label>CN</label><input name="ldap[cn]" type="text" value="{$request.name} {$request.surname}" /><br/>
        <label>Wants Newsletter</label>
        <input type="radio" name="ldap[TGWantsNewsletter]" value="TRUE" {if $request.newsletter == 1 }checked="checked"{/if}>TRUE
        <input type="radio" name="ldap[TGWantsNewsletter]" value="FALSE" {if $request.newsletter == 0 }checked="checked"{/if}>FALSE
        <br/>
        <label>Passwort</label><input id="ldap[password]" name="ldap[password]" type="text" value="" /><button onClick="generatePW();return false;">Vorschlagen</button><br/>
        <label for="sandbox">Sandbox</label><input type="checkbox" name="sandbox" id="sandbox" checked="checked" /><br/>
        <label>&nbsp;</label><input type="submit" name="create[submit]" value="Erstellen">
      </fieldset>
    </form>
  {/if}
  
  
  {if $mail or $created}
    
    <fieldset class="mail">
    <legend>Mail</legend>

    <label>Mailtemplate</label><select onChange="loadTemplate(this.options[this.selectedIndex].value);" id="templateChooser">
      {foreach item=temp from=$mail}
        <option value="{$temp.id}">{$temp.title} - {$temp.lang}</option>
      {/foreach}  
    </select>
    
    <form action="{$selflink}?id={$request.id}" method="POST">    
      <label>An</label>    
      <input type="text" name="mail[reciever]" value="{$request.email}" /><br/>
      
       <label>Betreff</label>    
      <input  id="mail[subject]" type="text" name="mail[subject]" value="" /><br/>     
      
      <label>Text</label>
      <textarea id="mail[body]" cols="80" rows="20" name="mail[body]"></textarea><br/>
      <input type="submit" name="mail[submit]" value="senden">
      </form>
      
    </fieldset>
    
  {/if}

</body>
</html>
