import fnal.vox.vomrs.client.SoapClient; 

public class printMemberDNs {            
    public static void main(String [] args) throws Exception { 
	if (args.length < 1) {
	    System.out.println("Sorry, not enough information, cannot proceed");
	    System.out.println("I want a VOMRS URL as argument, e.g. https://example.org:8443/vomrs/testvo/services/VOMRS");
	    return;
	}
	String vomsurl = args[0];

        SoapClient sc = new SoapClient(vomsurl);
	
	// getMembers
        Object o = sc.execute("getMembers",new String[]{}); 
	String members[] = (String[]) o;
	for (String s : members) {
	    System.out.println(s);
	}
    } 
} 
