<?php
require_once "Auth.php";

$auth = doAuth($conf['ldap']);
if (!$auth->checkAuth()) die();

if (isset($_GET['action']) && $_GET['action'] == "logout" ) {
    $auth->logout();
    $auth->start();
    die();
}

$conf['login']['user'] = $auth->getUsername();

function doAuth($c){
  
  $options = array(
    'host' => $c['host'],
    'port' => $c['port'],
    'version' => 3,
    'start_tls' => $c['tls'],
    'binddn' => $c['managerdn'],
    'bindpw' => $c['managerpassword'],
    'basedn' => 'ou=users,dc=textgrid,dc=de',
    'userattr' => 'uid',
    'userfilter' => '(EduPersonEntitlement=TextGrid-Admintool)',
    'debug' => $c['debug']
  );

  $a = new Auth("LDAP", $options, "loginFunction");
  $a->start();

  return $a;
}

?>
