<?php

class tgMysqlDB {

  var $mysqli;
  var $debug;
  var $conf;
  
  function __construct ( &$conf ) {
    $this->conf =& $conf;
    $this->mysqli=new mysqli($conf['db']['host'], $conf['db']['user'], $conf['db']['pw'], $conf['db']['db'])
      or die("Keine Verbindung zum MySQL Server.");
    $this->mysqli->query("SET NAMES 'utf8'"); 
  }
  
  function query ($db_query){
    if ($this->debug) echo $db_query."<br/>"; 
    $res = $this->mysqli->query($db_query);
    if ($res->num_rows > 0 ) return $res;
    else return false;
  }
  
  /**
   * Methods dealing with UserRequests
   */
  function getUserRequests($filter="open", $order = "timestamp DESC") {
    
    switch($filter) {
      case "open":
        $where .= "WHERE at_status=0";
        break;
      case "my":
        $where .= "WHERE at_assignee='".$this->conf[login][user]."'";
        break;
      case "closed":
        $where .= "WHERE at_status=1 OR at_status = 2";
        break;    
      case "assigned":
        $where .= "WHERE at_status=3";
        break;              
      case "all":
        break;
    }
    
    $result = $this->query("SELECT * FROM user_request " . $where . " ORDER BY " . $order);
    
    if ($result) while($row = $result->fetch_array(MYSQLI_ASSOC)){
        $requests[]= $row;
      }
    return $requests;
  }
  
  function getUserRequest($id) {
    $result = $this->query("SELECT * FROM user_request WHERE id=".$id);
    
    if ($result) return $result->fetch_assoc();
    else return false;
  }
  
  function insertUserRequest ($data) {

     foreach ($data as $key => $val) {
        $data[$key] = $this->mysqli->real_escape_string($val);
     }
     
     $query = "INSERT INTO user_request (name, surname, pref_uid, email, institution, newsletter, lang) 
               VALUES ('".$data[name]."','".$data[surname]."','".$data[userid]."','"
               .$data[email]."','".$data[institution]."','".$data[newsletter]."', '".$data[lang]."' )";
     $this->query($query);
  }
  
  function assignRequest($id) {
     $query = "UPDATE user_request SET at_assignee = '" . $this->conf[login][user] . "', at_status = 3 WHERE id=".$id;
     $this->query($query);
  }
  
  function closeRequest($id, $ldap_uid) {
    $query = "UPDATE user_request SET at_status = 1, ldap_uid = '".$ldap_uid."' WHERE id = ". $id;
    $this->query($query);
  }
  
  function rejectRequest($id) {
    $query = "UPDATE user_request SET at_status = 2 WHERE id = ". $id;
    $this->query($query);
  }
  
  /**
   * Methods dealing with Mailtemplates
   */  
  function getMailTemplates() {
    $result = $this->query("SELECT id,title,lang FROM mail_template");
    
    if ($result) while($row = $result->fetch_array(MYSQLI_ASSOC)){
        $mails[]= $row;
      }
    return $mails;
  }
  
  function getMailTemplate($id) {
    $result = $this->query("SELECT * FROM mail_template WHERE id=".$id);
    
    if ($result) return $result->fetch_assoc();
    else return false;
  }
}
  
?>
